Search for saved objects
https://{kibana_url}
- GET /api/saved_objects/_find
- GET /s/{space_id}/api/saved_objects/_find
Refer to Spaces for more information.
WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
Searches for Kibana saved objects.
For transferring or backing up saved objects, prefer the export API (POST /api/saved_objects/_export).
Query Parameters
-
per_pagenumber · min: 0 · default: 20 The number of items per page.
-
pagenumber · min: 0 · default: 1 The page index to return.
-
typestring · max: 100required The saved object type or types to search for. Use multiple
typevalues to search across types.-
searchstring · max: 10000 A text search string.
-
default_search_operator· default: OR The boolean operator to use when combining multiple values.
-
Values:
ORAND -
search_fieldsstring · max: 100 The fields to search on.
-
sort_fieldstring · max: 1024 The field to sort on.
-
has_referenceanyOf Return only saved objects that have a reference to the specified saved object(s).
-
has_reference_operator· default: OR The boolean operator to use when combining multiple values.
-
Values:
ORAND -
has_no_referenceanyOf Return only saved objects that do not have a reference to the specified saved object(s).
-
has_no_reference_operator· default: OR The boolean operator to use when combining multiple values.
-
Values:
ORAND -
fieldsstring · max: 100 The fields to return for each saved object.
-
filterstring · max: 10000 A KQL filter to apply to the search.
-
aggsstring · max: 100000 Aggregations as a JSON string.
-
namespacesstring · max: 100 The namespaces (spaces) to search in.
Responses
A search response.
A bad request.